Subject: [Netconf] few comments on yang-push-03, notifs

From: Andy Bierman <[email-masked]>
Date: Fri, 1 Jul 2016 18:21:24 -0700

Hi,

I think the YANG Push draft is useful work.
We can debate every little feature I guess (because there are a lot of
them).

But not enough YANG features.
XPath filtering is mandatory to implement here, but it is optional in
NETCONF.

I agree that "on-change" should be an optional feature and periodic
should be mandatory.

IMO modify-subscription (in rfc5277-bis) should be optional.

I consider the overlap between 'no-success' and <rpc-error> to be a big
open issue.
IMO, special 1-off error handling is a bad precedent.
Both NETCONF and RESTCONF say to send an error response
if the operation does not succeed.

Andy